Bug 1492822

Summary: xrdp cannot reuse display numbers because of leftover sockets
Product: [Fedora] Fedora Reporter: Ian Collier <imc>
Component: xrdpAssignee: Itamar Reis Peixoto <itamar>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: bazanluis20, bojan, itamar, plroskin
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: xrdp-0.9.3-2.fc26 xrdp-0.9.3-2.fc25 xrdp-0.9.3-2.fc27 xrdp-0.9.3-2.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-28 19:57:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ian Collier 2017-09-18 16:45:58 UTC
xrdp leaves a bunch of socket files in /tmp/.xrdp when a session exits.
This prevents xrdp from re-using those display numbers and so it will 
eventually run out, causing users to be unable to connect.

There is an upstream pull request to fix this:

https://github.com/neutrinolabs/xrdp/pull/831

Comment 1 Fedora Update System 2017-09-18 21:51:37 UTC
xrdp-0.9.3-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-123dfb162a

Comment 2 Fedora Update System 2017-09-18 21:51:48 UTC
xrdp-0.9.3-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d0c0566fd8

Comment 3 Fedora Update System 2017-09-18 21:51:53 UTC
xrdp-0.9.3-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f119c8a00

Comment 4 Fedora Update System 2017-09-18 23:07:55 UTC
xrdp-0.9.3-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7e69be6ea6

Comment 5 Fedora Update System 2017-09-19 23:28:45 UTC
xrdp-0.9.3-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-123dfb162a

Comment 6 Fedora Update System 2017-09-19 23:49:52 UTC
xrdp-0.9.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7e69be6ea6

Comment 7 Fedora Update System 2017-09-20 00:23:10 UTC
xrdp-0.9.3-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d0c0566fd8

Comment 8 Fedora Update System 2017-09-20 01:21:34 UTC
xrdp-0.9.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f119c8a00

Comment 9 Fedora Update System 2017-09-28 19:57:26 UTC
xrdp-0.9.3-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-09-28 23:55:19 UTC
xrdp-0.9.3-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-09-30 06:40:23 UTC
xrdp-0.9.3-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-10-04 22:18:38 UTC
xrdp-0.9.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.